package ovh.mxg.cubetp;

import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.entity.Player;

import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Arrays;

public class Localization {
    public static String GetLocal(Player player, int lid) throws SQLException {
        String lang = GetPlayerLang(player);
        String local = "";
        SQL.connect();
        PreparedStatement ps = SQL.getConnection().prepareStatement("SELECT * FROM cubelocal WHERE lid = ? AND lang = ?");
        ps.setInt(1, lid);
        ps.setString(2, lang);
        ResultSet rs = ps.executeQuery();
        if(rs.next()){
            local = rs.getString("string");
            return local;
        }
        return local;
    }

    public static String GetPlayerLang(Player player) throws SQLException {
        String uuid = player.getUniqueId().toString();
        String lang = "";
        Location dLoc = null;
        SQL.connect();
        PreparedStatement ps = SQL.getConnection().prepareStatement("SELECT * FROM cubeplayer WHERE uuid = ?");
        ps.setString(1, uuid);
        ResultSet rs = ps.executeQuery();
        if(rs.next()){
            lang = rs.getString("lang");
            return lang;
        }
        return lang;
    }

    public static boolean CheckPlayerLocalExists(Player player) throws SQLException {
        String uuid = player.getUniqueId().toString();
        SQL.connect();
        PreparedStatement ps = SQL.getConnection().prepareStatement("SELECT * FROM cubeplayer WHERE uuid = ?");
        ps.setString(1, uuid);
        ResultSet rs = ps.executeQuery();
        return rs.next();
    }

    public static void AddPlayer(Player player) throws SQLException {
        String uuid = player.getUniqueId().toString();
        SQL.connect();
        PreparedStatement ps = SQL.getConnection().prepareStatement("INSERT IGNORE INTO cubeplayer (uuid,lang) VALUES (?,?)");
        ps.setString(1, uuid);
        ps.setString(2, "en");
        ps.executeUpdate();
    }

    public static void UpdatePlayer(Player player, String lang) throws SQLException {
        String uuid = player.getUniqueId().toString();
        String[] la = {"en", "fr"};
        if(Arrays.stream(la).noneMatch(lang::equals)){
            player.sendMessage(Localization.GetLocal(player, 15));
        } else {
            SQL.connect();
            PreparedStatement ps = SQL.getConnection().prepareStatement("UPDATE cubeplayer SET lang = ? WHERE uuid = ?");
            ps.setString(2, uuid);
            ps.setString(1, lang);
            ps.executeUpdate();
        }
    }
}
